if Encoding.default_external != Encoding::UTF_8
  STDERR.puts <<-DOC
\e[33mWARNING: CocoaPods requires your terminal to be using UTF-8 encoding.
Consider adding the following to ~/.profile:

export LANG=en_US.UTF-8
\e[0m
DOC
end

require "appextensioninstaller/version"

module Appextensioninstaller
  class Shell
    
    def initialize(cmd)
      @cmd = cmd
    end

    def cmd
      @cmd
    end

    def cmd=(cmd)
      @cmd = cmd
    end

    def run
      @cmd.nil? ? "" : `#{@cmd}`
    end

  end
end
